## org.biojava.bio.seq.io.agave
Class AGAVEXrefs

    java.lang.Object
      org.biojava.bio.seq.io.agave.AGAVEXrefs

    public class AGAVEXrefs

extends Object

xrefs

Author:
  Hanning Ni Doubletwist Inc, Greg Cox

Constructor Summary
`AGAVEXrefs()`

Method Summary
`void` `addDbId(AGAVEDbId id)` add @param id
`void` `addXref(AGAVEXref xref)` add @param xref
`Iterator` `getDbIds()` return a set of DbId
`Iterator` `getXrefs()` return a set of AGAVEXref
`String` `toString()` the agave xml representation of xrefs
`String` `toString(String indent, String indent_unit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AGAVEXrefs

    public AGAVEXrefs()

Method Detail

### addDbId

    public void addDbId(AGAVEDbId id)

  add @param id

### addXref

    public void addXref(AGAVEXref xref)

  add @param xref

### getDbIds

    public Iterator getDbIds()

  return a set of DbId

### getXrefs

    public Iterator getXrefs()

  return a set of AGAVEXref

### toString

    public String toString(String indent,
                           String indent_unit)

  Parameters:
    `indent` - the leading space
    `indent_unit` - the unit of indenting for xml format

### toString

    public String toString()

  the agave xml representation of xrefs

  Overrides:
    `toString` in class `Object`